UMAD_REGISTER(3)

NAME
umad_register - register the specified management class and version for port

SYNOPSIS
#include <infiniband/umad.h>

int umad_register(int portid, int mgmt_class, int mgmt_version , uint8_t rmpp_version, long method_mask[16/sizeof(long)]);

DESCRIPTION
umad_register() registers the specified management class, management version, and whether RMPP is being used for the port specified by the portid parameter. If method_mask array is provided, the caller is registered as a replier (server) for the methods having their corresponding bit on in the method_mask. If method_mask is NULL, the caller is registered as a MAD client, meaning that it can only receive replies on MADs that it sent (solicited MADs).

RETURN VALUE
umad_register() returns non-negative agent id number on success, and a negative value on error as follows:
 -EINVAL invalid port handle
 -EPERM registration failed

SEE ALSO
umad_register_oui(3), umad_unregister(3)

AUTHOR

Hal Rosenstock <halr@voltaire.com>